## org.eclipse.datatools.enablement.sybase.deltaddl
Interface IDeltaDdlGenProvider

All Known Implementing Classes:
  AbstractDeltaDdlGenProvider, ASAColumnCheckConstraintDeltaDdlGenProvider, ASAForeignKeyDeltaDdlGenProvider, ASAPrivilegeDeltaDdlGenProvider, ASAReferenceConstraintDeltaDdlGenProvider, ASATableCheckConstraintDeltaDdlGenProvider, ASEPrivilegeDeltaDdlGenProvider, ConstraintDeltaDdlGenProvider, GenericDeltaDdlGenProvider, PrivilegeDeltaDdlGenProvider, ReferenceConstraintDeltaDdlGenProvider, SybaseASABaseTableDeltaDdlGenProvider, SybaseASABaseViewTableDeltaDdlGenProvider, SybaseASAColumnDeltaDdlGenProvider, SybaseASAEventDeltaDdlGenProvider, SybaseASAFunctionDeltaDdlGenProvider, SybaseASAIndexDeltaDdlGenProvider, SybaseASAProcedureDeltaDdlGenProvider, SybaseASATableDeltaDdlGenProvider, SybaseASATriggerDeltaDdlGenProvider, SybaseASECheckDeltaDdlGenProvider, SybaseASEColumnDeltaDdlGenProvider, SybaseASEConstraintDeltaDdlGenProvider, SybaseASEDefaultDeltaDdlGenProvider, SybaseASEForeignKeyDeltaDdlGenProvider, SybaseASEIndexDeltaDdlGenProvider, SybaseASEProcedureDeltaDdlProvider, SybaseASERuleDeltaDdlGenProvider, SybaseASETableDeltaDdlGenProvider, SybaseASETriggerDeltaDdlProvider, SybaseASEUniqueDeltaDdlGenProvider, SybaseASEUserDefinedTypeDeltaDdlGenProvider, SybaseIndexDeltaDdlGenProvider

    public interface IDeltaDdlGenProvider

The interface for extension point deltagenservice to implement specified vender, version database and SQL object type modification scirpt

Author:
  linsong

Method Summary
`void` `analyze(SQLObject element, java.util.Map changeMap, java.util.Map modificationRecords)` analyze specified sqlobject changes
`void` `processAlterStatement(SQLObject element, java.util.Map modifyRecordMap, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject modification scripts
`void` `processCreateStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, ISybaseDdlGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject creation scripts
`void` `processDropStatement(SQLObject element, boolean quoteIdentifiers, boolean qualifyNames, SybaseDdlScript script, ISybaseDdlGenerator generator, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject drop scripts

Method Detail

### analyze

    void analyze(SQLObject element,
                 java.util.Map changeMap,
                 java.util.Map modificationRecords)

  analyze specified sqlobject changes

  Parameters:
    `element` -
    `changeMap` -
    `modificationRecords` -

### processAlterStatement

    void processAlterStatement(SQLObject element,
                               java.util.Map modifyRecordMap,
                               boolean quoteIdentifiers,
                               boolean qualifyNames,
                               boolean fullSyntax,
                               SybaseDdlScript script,
                               org.eclipse.core.runtime.IProgressMonitor monitor)

  generate specified sqlobject modification scripts

  Parameters:
    `element` -
    `modifyRecordMap` -
    `quoteIdentifiers` -
    `qualifyNames` -
    `fullSyntax` -
    `script` -
    `monitor` -

### processCreateStatement

    void processCreateStatement(SQLObject element,
                                boolean quoteIdentifiers,
                                boolean qualifyNames,
                                boolean fullSyntax,
                                SybaseDdlScript script,
                                ISybaseDdlGenerator generator,
                                org.eclipse.core.runtime.IProgressMonitor monitor)

  generate specified sqlobject creation scripts

  Parameters:
    `element` -
    `quoteIdentifiers` -
    `qualifyNames` -
    `fullSyntax` -
    `script` -
    `generator` -
    `monitor` -

### processDropStatement

    void processDropStatement(SQLObject element,
                              boolean quoteIdentifiers,
                              boolean qualifyNames,
                              SybaseDdlScript script,
                              ISybaseDdlGenerator generator,
                              org.eclipse.core.runtime.IProgressMonitor monitor)

  generate specified sqlobject drop scripts

  Parameters:
    `element` -
    `quoteIdentifiers` -
    `qualifyNames` -
    `script` -
    `generator` -
    `monitor` -